/* 
 * ulex.css -- Ulex base and utility styles
 *
 * Copyright Ulex, 2014
 *
 * Author: José Alves
 *
 *
 * This file contains some basic and utility styles used by ulex applications
 *
 * */

* {
    /*    box-sizing: border-box; */
}

.fillParent {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: 0;
}

/* Display */

.d-tr {
    display : table-row;
}

.d-tc {
    display : table-cell;
}

.d-t {
    display : table;
}

.d-b {
    display : block;
}

.d-i {
    display : inline;
}

.d-i-b {
    display : inline-block;
}

v-a-t {
    vertical-align: top;
}

v-a-m {
    vertical-align: middle;
}

/* Position */

.relative {
    position : relative;
}

.absolute {
    position : absolute;
}

.fixed {
    position : fixed;
}

.left {
    left : 0;
}
    
.right {
    right : 0;
}

.top {
    top : 0;
}

.bottom {
    bottom : 0;
}

/* Dimensions */

.h-100 {
    height : 100%;
}

.w-100 {
    width : 100%;
}

/* Margins */

.m-l0 {
    margin-left : 0;
}
.m-r0 {
    margin-right : 0;
}

/* Floats */

.f-r {
    float : right;
}

.f-l {
    float : left;
}

.c-b {
    clear : both;
}

@font-face {
  font-family: 'ULEXFont';
  /* src: url('media/ulex/fonts/Aero.eot'); /\* IE9 Compat Modes *\/ */
  /* src: url('media/ulex/fonts/Aero.eot?#iefix') format('embedded-opentype'), /\* IE6-IE8 *\/ */
  /*        url('media/ulex/fonts/Aero.woff2') format('woff2'), /\* Super Modern Browsers *\/ */
  /* src: url('media/ulex/fonts/Aero.woff') format('woff'), /\* Pretty Modern Browsers *\/ */
  /*      url('media/ulex/fonts/Aero.ttf')  format('truetype'), /\* Safari, Android, iOS *\/ */
  /*      url('media/ulex/fonts/Aero.svg#Aero') format('svg'); /\* Legacy iOS *\/ */
  src: url("/media/ulex/fonts/Sawasdee-Bold.ttf");
}

.ulex-font{
    /* font-weight: bold; */
    font-style: italic;
    font-family: ULEXFont;
}

.ulex-white {
    color: white;
}

/* Colors */

.ulex-light-c {
    color : rgb(210, 203, 186);
}

.ulex-light-bg,
.ulex-form, .ulex-form-bd {
    background : rgb(210, 203, 186);
}

.ulex-blue-mate-c {
    color: rgb(38, 56, 120);
}

.ulex-blue-mate-bg {
    background: rgb(38, 56, 120);
}

.ulex-black-blue-c {
    color: rgb(27, 27, 44);
}

.ulex-black-blue-bg {
    background: rgb(27, 27, 44);
}

.ulex-blue, .ulex-blue-c {
    color : rgb(0, 0, 162);
}


.ulex-blue, .ulex-blue-bg, ulex-blue-bg-inverted {
    background-color : rgb(0,0,162);
}

.ulex-gold, .ulex-gold-c{
    color : rgb(255,151,0);
}

.ulex-gold, .ulex-gold-bg {
    background-color : rgb(255,151,0);
}

.ulex-gold-bd, .ulex-form-bd {
    border-style : solid;
    border-width : 0.2em;
    border-color : rgb(255,151,0);
}

.ulex-gold-bd-bottom {
    border-bottom : solid;
    border-width : 0.2em;
    border-color : rgb(255,151,0);
}

.ulex-gold-bd-top {
    border-top : solid;
    border-width : 0.2em;
    border-color : rgb(255,151,0);
}

.ulex-gold-bd-right {
    border-right : solid;
    border-width : 0.2em;
    border-color : rgb(255,151,0);
}


.ulex-gold-bd-left {
    border-left : solid;
    border-width : 0.2em;
    border-color : rgb(255,151,0);
}

.ulex-red-c {
    color : rgb(174, 0, 16);
}

.ulex-form, .ulex-form-bd {
    /* background-color : rgb(232, 232, 246); */
    /* background-color : rgb(252, 253, 253); */
    padding: 1em;
}

.ulex-button, .ulex-icon-button, .ulex-combobox, .ulex-small-button, .ulex-menu-item {
    color: white;
    background-color: rgb(38, 56, 120);
    /* background: rgb(38, 56, 120); */
    border-radius: 0.3em;
    border-style: none;
    font-family: ULEXFont;
    font-size: 1.1em;
    /* font-weight: bold; */
    /* font-style: italic; */
    text-align: center;
    padding: 0em 1.0em;
    cursor: pointer;
    line-height: 2em;
    white-space: nowrap;
}

.ulex-icon-button {
    padding: 0em;
}

.ulex-small-button {
    font-size: 0.8em;
    padding: 0em 0.5em;
    line-height: 1.5em;
}

.ulex-combobox {
    background-image: url("/media/ulex/icons/dropdown.svg");
    background-repeat: no-repeat;
    background-size: 2em auto;
    background-position: 100% 50%;
    height: 2em;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    padding-right: 1em;
    padding-left: 1em;
}

.ulex-button:hover, .ulex-icon-button:hover, .ulex-small-button:hover, .ulex-combobox:hover {
    background-color: rgb(68, 86, 150);
}

.ulex-menu-item {
    color: rgb(38, 56, 120);
    background: none;
    background-color: rgba(68, 86, 150, 0.1);
    min-width: 6em;
}

/* small screens */
@media screen and (max-width: 35.5em){
    .ulex-menu-item {
	min-width: 2em;
    }
}

.ulex-menu-item:hover {
    color: white;
    background: rgb(68, 86, 150);
}

.ulex-menu-item-selected {
    color: white;
    background: rgb(38, 56, 120);
}

.ulex-value-box {
    background-color: rgba(255,255,255,0.6);
    border-radius: 0.3em;
    font-size: 110%;
    padding: 0.5em;
    white-space: nowrap;
}

.ulex-box {
    background-color: rgba(255,255,255,0.4);
    border-radius: 0.3em;
    padding: 0.5em;
}

.ulex-row {
    margin-top: 1em;
    margin-bottom: 1em;
}

.ulex-row-compact {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

.ulex-col {
    margin-right: 1em;
    margin-left: 1em;
}

.ulex-col-compact {
    margin-right: 0.5em;
    margin-left: 0.5em;
}

.ulex-blue-bg {
    background: linear-gradient(#0000a2, #000842) repeat scroll 0 0 rgba(0, 0, 0, 0);
}

.ulex-blue-bg-inverted {
    background: linear-gradient(#000842, #0000a2) repeat scroll 0 0 rgba(0, 0, 0, 0);
}

.ulex-input {
    height: 3em;
    border-width: 2px;
    border-style: solid;
    border-color: rgb(0,0,162);
    border-radius: 0.3em;
}

/* Text */

.t-align-r, .t-a-r {
    text-align : right;
}

.t-align-l, .t-a-l {
    text-align : left;
}

.t-align-c, .t-a-c {
    text-align : center;
}

/* View */
.empty-table {
    text-align : center;
}

.empty-table:after {
    content : "Não existem dados";
}


/* Border */
.no-border {
    border : none;
}

.v-a-m {
    vertical-align : middle;
}


.center-helper-outer {
    display: table;
    position: absolute;
    height: 100%;
    width: 100%;
}

.center-helper-mid {
    display: table-cell;
    vertical-align: middle;
}

.center-helper-inner {
    margin-left : auto;
    margin-right : auto;
}

.cursor-pointer {
    cursor : pointer;
}

.ulex-icon-size, .ulex-small-icon-size {
    border: none;
    width: 2em;
    height: 2em;
    min-width: 2em;
    min-height: 2em;
    background-image: none;
    background-size: 2em;
    background-repeat: no-repeat;
    background-position: center center;
    margin: 0;
    /* cursor : pointer; */
}

.ulex-small-icon-size {
    width: 1em;
    height: 1em;
    background-size: 1em;
    min-width: 1em;
    min-height: 1em;
}

.ulex-icon-large-size {
    width: 4em;
    height: 4em;
    background-size: 4em;
    min-width: 4em;
    min-height: 4em;
}

.ulex-app-container {
    position : absolute;
    width : 100%;
    height: 100%;
    margin: 0 0;
}

.ulex-app-header {
    line-height: 3em;
    height : 3.2em;
    margin : auto;
    box-sizing : border-box;
    display : inline-block;
    z-index: 199;
    position : fixed;
    top : 0;
    left : 0;
    width : 100%;
}

.ulex-app-main {
    position: absolute;
    left: 0;
    right: 0;
    top: 3em;
    bottom: 2em;
}

.ulex-app-footer {
    height: 2.2em;
    line-height: 2em;
    box-sizing: border-box;
    z-index: 198;
    width : 100%;
    position : fixed;
    bottom : 0;
    left : 0;
}

.ulex-app-footer-info {
    position: absolute;
    left: 1em;
}

.ulex-app-footer-text {
    overflow: hidden;
    font-size: 60%;
    vertical-align: bottom;
    padding-bottom: 0.5em;
}
.ulex-app-footer-logo {
    width: 5em;
    height: 2em;
    background-image: url("/media/ulex/icons/ulex_logo.svg");
    background-repeat: no-repeat;
    background-size: auto 2.5em;
    background-position: 50% 50%;
}

@media screen and (min-width: 48em){
    .hide-lg {
        display : none;
    }
}


@media screen and (max-width: 48em){
    .hide-sm {
        display : none;
    }
}
